
QGIS Application - Bug report #19376

If a project filename contains periods, the filename is truncated at the first period when displayed in 

the main window's titlebar.

2018-07-10 09:22 AM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.3(master) Regression?: No

Operating System: Debian 9.4 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27204

Description

Related #18485

History

#1 - 2018-07-10 09:23 AM - Patrick Dunford

As observed in master commit:ebea35d

#2 - 2018-07-10 03:01 PM - Salvatore Larosa

The fix is in commit:7ece90c just after revision commit:ebea35d.

#3 - 2018-07-10 03:05 PM - Salvatore Larosa

- Status changed from Open to Feedback

#4 - 2018-07-11 05:28 PM - Patrick Dunford

Ok it shows up in today's update, the recent projects one hasn't shown up yet.

#5 - 2018-07-11 07:35 PM - Patrick Dunford

- File Screenshot_2018-07-12_05-35-53.png added

Hi you are saying this changeset addresses both issues but I have the newest revision available from the package repository, commit:2688a9d

This addresses the titlebar issue but for some reason has not fully addressed the recent projects issue. 

Seen in the attached picture, I am not sure why only the top entry is addressed.

#6 - 2018-07-11 09:31 PM - Salvatore Larosa

old projects are stored in settings, saved before the patch. To fix you should open the project and save it with the QGIS version that contains the patch.

#7 - 2018-07-11 10:23 PM - Jürgen Fischer

- Description updated
#8 - 2018-08-23 08:46 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

Screenshot_2018-07-12_05-35-53.png 99.2 KB 2018-07-11 Patrick Dunford
